# Create Payout

## Create a Payout

<mark style="color:green;">`POST`</mark> `https://<PayEngine-host>/api/payouts/:merchant_id/payout`

**Path Parameters**

| Name                                           | Type   | Description |
| ---------------------------------------------- | ------ | ----------- |
| merchant\_id<mark style="color:red;">\*</mark> | string | Merchant ID |

#### Request Body

<table><thead><tr><th width="214">Name</th><th width="91">Type</th><th>Description</th></tr></thead><tbody><tr><td>payee_token<mark style="color:red;">*</mark></td><td>string</td><td>Payee Unique ID</td></tr><tr><td>client_transfer_id<mark style="color:red;">*</mark></td><td>string</td><td>A client defined transfer identifier. This is the unique ID assigned to the transfer on your system. Max 50 characters.</td></tr><tr><td>source_currency<mark style="color:red;">*</mark></td><td>string</td><td>Source Payment Currency. Currency code using <a href="https://en.wikipedia.org/wiki/ISO_4217">ISO 4217</a> format. e.g. USD</td></tr><tr><td>source_amount<mark style="color:red;">*</mark></td><td>float</td><td>Source Payment Amount</td></tr><tr><td>payment_description</td><td>string</td><td>Optional descriptive line item that appears on the payout statement, providing details about the transaction. This field is intended to help identify the purpose or source of each payout by displaying a brief summary or itemized description. Commonly includes information such as transaction type, merchant name, or payout reason. Note: Not all countries and banks support displaying this field. length ≤ 140</td></tr></tbody></table>

{% tabs %}
{% tab title="200 " %}
{% tabs %}
{% tab title="Field Definitions" %}

<table><thead><tr><th width="236">Name</th><th width="91">Type</th><th>Description</th></tr></thead><tbody><tr><td>merchant_id<mark style="color:red;">*</mark></td><td>string</td><td>Merchant ID</td></tr><tr><td>payout_token<mark style="color:red;">*</mark></td><td>string</td><td>Unique Payout ID</td></tr><tr><td>status<mark style="color:red;">*</mark></td><td>string</td><td>Payout Status</td></tr><tr><td>status_reason<mark style="color:red;">*</mark></td><td>string</td><td>Reason related to status if any e.g. in case of an error</td></tr><tr><td>payee_token<mark style="color:red;">*</mark></td><td>string</td><td>Payee Unique ID</td></tr><tr><td>client_transfer_id<mark style="color:red;">*</mark></td><td>string</td><td>A client defined transfer identifier. This is the unique ID assigned to the transfer on your system. Max 50 characters.</td></tr><tr><td>source_currency</td><td>string</td><td>Source Payment Currency. Currency code using <a href="https://en.wikipedia.org/wiki/ISO_4217">ISO 4217</a> format. e.g. USD</td></tr><tr><td>source_amount<mark style="color:red;">*</mark></td><td>string</td><td>payment amount e.g 100.75</td></tr><tr><td>target_currency</td><td>string</td><td>Target Payment Currency. Currency code using <a href="https://en.wikipedia.org/wiki/ISO_4217">ISO 4217</a> format. e.g. USD</td></tr><tr><td>target_amount</td><td>string</td><td>Target Payment Amount</td></tr><tr><td>conversion_rate</td><td>string</td><td>source to target amount conversion rate</td></tr><tr><td>estimated_availability</td><td>string</td><td>estimated date of payment</td></tr><tr><td>payment_description</td><td>string</td><td>Optional descriptive line item that appears on the payout statement, providing details about the transaction. This field is intended to help identify the purpose or source of each payout by displaying a brief summary or itemized description. Commonly includes information such as transaction type, merchant name, or payout reason. Note: Not all countries and banks support displaying this field.</td></tr></tbody></table>
{% endtab %}
{% endtabs %}
{% endtab %}
{% endtabs %}

{% tabs %}
{% tab title="Sample Request Body" %}

<pre class="language-json"><code class="lang-json"><strong>{
</strong>    "merchant_id":"1cc7b594-b80f-4227-a0fa-299c4c6ce8ab",
    "data": {  
            "payee_token":"123e4567-e89b-12d3-a456-426614174000",
            "client_transfer_id":"84630957653",
            "source_currency":"USD",
            "source_amount":"3000.75",
            "payment_description":"Test Payment"
         }
}
</code></pre>

{% endtab %}

{% tab title="Sample Response Body" %}

<pre class="language-json"><code class="lang-json"><strong>{
</strong> "merchant_id":"1cc7b594-b80f-4227-a0fa-299c4c6ce8ab", 
<strong> "payout_token":"ba4275f2-bae1-488d-9d6f-20af1cd83574"
</strong><strong> "status":"Pending",
</strong><strong> "status_reason":"Test Reason",
</strong><strong> "payee_token":"123e4567-e89b-12d3-a456-426614174000",
</strong><strong> "client_transfer_id":"84630957653",
</strong><strong> "source_currency":"USD", 
</strong> "source_amount":"3000.75",
 "target_currency":"USD",
 "target_amount":"3000.75",
 "conversion_rate":"0.00",
 "estimated_availability":"2020-10-02T17:32:28Z",
 "payment_description":"Test Payment"
}
</code></pre>

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.payengine.co/payengine-api-v2.5/payouts/create-payout.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
